| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SeisPSImpDataMgr Class Reference
Seis

Manages import of acquisition-sorted PS data. May take loads of memory. More...

`#include <seisimpps.h>`

## Public Member Functions
| SeisPSImpDataMgr (const MultiID &pswrid)
virtual | ~SeisPSImpDataMgr ()
void | add (SeisTrc *)
| trc becomes mine
bool | constGatherSize () const
void | endReached ()
| call after last 'add'
uiString | errMsg () const
bool | isEmpty () const
int | maxInlOffset () const
bool | needWrite () const
void | setMaxInlOffset (int i)
void | setSampleNames (const BufferStringSet &bss)
const SeisTrcWriter * | trcWriter () const
bool | writeGather ()
| Write possibly incomplete gather if !needWrite()

## Protected Member Functions
void | updateStatus (int)

## Protected Attributes
uiString | errmsg_
int | gathersize_
ObjectSet< SeisPSImpLineBuf > | lines_
int | maxinloffs_
BufferStringSet | samplenms_
TypeSet< int > | towrite_
MultiID | wrid_
SeisTrcWriter * | wrr_

## Detailed Description

Manages import of acquisition-sorted PS data. May take loads of memory.

If the import is handling more data than what fits in memory (and this is easily reached), you should set the maximum possible inline offset. This allows writing and disposing of inlines of gathers that can never be reached afterwards.

<>

## Constructor & Destructor Documentation

## ◆ SeisPSImpDataMgr()

SeisPSImpDataMgr::SeisPSImpDataMgr | ( | const MultiID & | pswrid | ) |

## ◆ ~SeisPSImpDataMgr()

virtual SeisPSImpDataMgr::~SeisPSImpDataMgr | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ add()

void SeisPSImpDataMgr::add | ( | SeisTrc * |  | ) |

trc becomes mine

## ◆ constGatherSize()

bool SeisPSImpDataMgr::constGatherSize | ( |  | ) | const
| inline

## ◆ endReached()

void SeisPSImpDataMgr::endReached | ( |  | ) |

call after last 'add'

## ◆ errMsg()

uiString SeisPSImpDataMgr::errMsg | ( |  | ) | const
| inline

## ◆ isEmpty()

bool SeisPSImpDataMgr::isEmpty | ( |  | ) | const
| inline

## ◆ maxInlOffset()

int SeisPSImpDataMgr::maxInlOffset | ( |  | ) | const
| inline

## ◆ needWrite()

bool SeisPSImpDataMgr::needWrite | ( |  | ) | const
| inline

## ◆ setMaxInlOffset()

void SeisPSImpDataMgr::setMaxInlOffset | ( | int | i | ) |
| inline

## ◆ setSampleNames()

void SeisPSImpDataMgr::setSampleNames | ( | const BufferStringSet & | bss | ) |
| inline

## ◆ trcWriter()

const SeisTrcWriter * SeisPSImpDataMgr::trcWriter | ( |  | ) | const
| inline

## ◆ updateStatus()

void SeisPSImpDataMgr::updateStatus | ( | int |  | ) |
| protected

## ◆ writeGather()

bool SeisPSImpDataMgr::writeGather | ( |  | ) |

Write possibly incomplete gather if !needWrite()

## Member Data Documentation

## ◆ errmsg_

uiString SeisPSImpDataMgr::errmsg_
| mutable protected

## ◆ gathersize_

int SeisPSImpDataMgr::gathersize_
| protected

## ◆ lines_

ObjectSet<SeisPSImpLineBuf> SeisPSImpDataMgr::lines_
| protected

## ◆ maxinloffs_

int SeisPSImpDataMgr::maxinloffs_
| protected

## ◆ samplenms_

BufferStringSet SeisPSImpDataMgr::samplenms_
| protected

## ◆ towrite_

TypeSet<int> SeisPSImpDataMgr::towrite_
| protected

## ◆ wrid_

MultiID SeisPSImpDataMgr::wrid_
| protected

## ◆ wrr_

SeisTrcWriter* SeisPSImpDataMgr::wrr_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025